<?php
require ('authentication_manager.php');
?>
<script language="javascript" type="text/javascript">
<!--
// 只允许输入数字
function chkSubmit(){
  if($('imgname').value==''){
    alert("图片名称不能空！");
    return false;
  }
  if(!/^[\w]+$/.test($('imgname').value.replace(/\.[a-zA-Z]+$/,''))){
    alert("图片名称只允许输入字母、数字、下划线！");
    return false;
  }
  if($('imgdir').value==''){
    alert("上传目录不能空！");
    return false;
  }
  if(!/^[\w、/]+$/.test($('imgdir').value)){
    alert("上传目录只允许输入字母、数字、下划线、/！");
    return false;
  }
  addSubmitSafe();
  return true;
}
-->
</script>
<div class="column"><b>提示：</b><br />
1、为方便在线更改各类图片，如你添加的广告代码中需要引用图片，可用该功能灵活、方便的调用。<br />
2、请选jpg、gif、png格式，尺寸小于2M。当然，您也可以手动制作好图片，存到你希望的目录中。<br />
3、<span class="redword">如更改了Logo，别忘了同时更改<a href="?get=set#set_logo">系统参数</a>中的Logo路径和图片格式。</span></div>
<form action="?post=logo" enctype="multipart/form-data" method="post" onsubmit="return chkSubmit()">
图片位置：<input name="uploadfile" type="file" class="file"><br />
图片名称：<input name="imgname" id="imgname" type="text" value="logo" /><br />
上传目录：<input name="imgdir" id="imgdir" type="text" value="inc/images" /><br />
首页图片建议上传目录：inc/images<br />
也可新建目录。注意图片名称和上传目录只能填字母、数字、下划线<br />
<button type="submit"><b>上传</b></button>
</form>